<?php

 /* Plugin Name: JustGiving Banner
 ** Version: 1.0
 ** Plugin URI: http://gritty-social.com/just-giving-banner-plugin
 ** Description: A simple & customizable plugin to add a JustGiving fundraising banner to your WordPress website.
 ** Author: Stephen James
 ** Author URI: http://gritty-social.com
 
*/
 
function jg_banner_styles() { $plugin_url = plugin_dir_url( __FILE__ ); wp_enqueue_style( 'style', $plugin_url . 'banner-style.css' ); }

require( plugin_dir_path( __FILE__ ) . 'customizer-settings.php');
 
function just_giving_banner_add() {

$charityname = get_option('jg_charity_name','...');
$donation_link = get_option('jg_donation_link','https://www.justgiving.com');
	
?>
<link href='https://fonts.googleapis.com/css?family=Roboto:300' rel='stylesheet' type='text/css'>
<script type="text/javascript">
jQuery(document).ready(function(){
jQuery('<div class="just-giving"><?php echo '<img class="just-giving-logo" src="' . plugins_url( 'images/logo.png', __FILE__ ) . '" > '; ?><p id="main-text">I\'m fundraising on JustGiving for <?php echo $charityname; ?>. <a href="<?php echo $donation_link; ?>">Sponsor Me</a></p></div>').insertBefore("body");
});
</script>

<?php
}

add_action( 'wp_head', 'just_giving_banner_add' );
add_action('customize_register', 'jg_banner_editor');
add_action( 'wp_enqueue_scripts', 'jg_banner_styles' );
?>